#
#     Description of this R script:
#     Internal R functions utilized by the glamlasso package.
#
#     Intended for use with R.
#     Copyright (C) 2016 Adam Lund
# 
#     This program is free software: you can redistribute it and/or modify
#     it under the terms of the GNU General Public License as published by
#     the Free Software Foundation, either version 3 of the License, or
#     (at your option) any later version.
# 
#     This program is distributed in the hope that it will be useful,
#     but WITHOUT ANY WARRANTY; without even the implied warranty of
#     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#     GNU General Public License for more details.
# 
#     You should have received a copy of the GNU General Public License
#     along with this program.  If not, see <http://www.gnu.org/licenses/>
#

#' @name glamlasso_internal
#' @aliases mu gdpg getobj
#' @title Internal glamlasso Functions
#' @description  Internal glamlasso functions.
#' @details These functions are not intended for use by users.
#' @keywords internal
#' @usage mu(x, fam)
#' @author Adam Lund

#inverse link
mu <- function(x, fam){
  
  if(fam == "gaussian"){
    out <- x  
  }else if(fam == "binomial"){
    out <- exp(x) / (exp(x) + 1)  
  }else if(fam == "poisson"){
    out <- exp(x)
  }else if(fam == "gamma"){
    out <- exp(x)
  }
  
}
